@echo off
rem   LCCOPTS.BAT
rem
rem    Compile and link options used for building EXE-files
rem    using the LCC compiler version 2.4 
rem
rem    Slava Chushak   Date: 2005/05/12 
rem
rem ********************************************************************

set MATLAB=%C:\Program Files\MATLAB71%
set PATH=%MATLAB%\sys\lcc\bin;%PATH%

rem ********************************************************************
rem Compiler parameters
rem ********************************************************************
set COMPILER=lcc
set COMPFLAGS=-c -A -I"%MATLAB%\sys\lcc\include"  -noregistrylookup
set OPTIMFLAGS=-DNDEBUG

rem ********************************************************************
rem Linker parameters
rem ********************************************************************
set LINKER=lcclnk
set LINKOPTS= -subsystem console

set LINK_LIB= -lm

%COMPILER% %COMPFLAGS% main.c 
%COMPILER% %COMPFLAGS% ranlib.c 
%COMPILER% %COMPFLAGS% erg.c 
%COMPILER% %COMPFLAGS% erg_tau.c 
%COMPILER% %COMPFLAGS% calc_rxn_prob_erg.c 
%COMPILER% %COMPFLAGS% create_stoich_matrix.c 
%COMPILER% %COMPFLAGS% calc_dependency.c 
%COMPILER% %COMPFLAGS% read_constants.c 
%COMPILER% %COMPFLAGS% update_rxn_prob_erg.c 
%COMPILER% %COMPFLAGS% find_next_reaction_erg.c
%COMPILER% %COMPFLAGS% rxn_prob_undef.c
%COMPILER% %COMPFLAGS% find_tau.c
%COMPILER% %COMPFLAGS% com.c
%COMPILER% %COMPFLAGS% linpack.c
%COMPILER% %COMPFLAGS% update_rxn_prob_all.c 

lccmake win32
lccmake clean_win32